public abstract class Duerme {
    public static final int UN_RATO_SEGUNDOS = 1;         // 1 segundo
    public static final int UN_RATO_MILISEGUNDOS = 500;   // 0.5 segundos
    private static void duermeSegundos(int segundos){
        duermeMilisegundos(1000 * segundos);
    }
    private static void duermeMilisegundos(int milisegundos){
        try {
            Thread.sleep(milisegundos);
        } catch (InterruptedException ex) {
            System.out.println("ERR: duermeMiliegundos() ha sido interrumpido.");
        }
    }
    public static void duermeUnRato() {
        duermeSegundos(UN_RATO_SEGUNDOS);
    }
    public static void duermeUnRatito() {
        duermeMilisegundos(UN_RATO_MILISEGUNDOS);
    }
}
